Package be.ehealth.businessconnector.mediprimauma.service.impl

# Class MediprimaUmaServiceImpl

java.lang.Object
be.ehealth.businessconnector.mediprimauma.service.impl.MediprimaUmaServiceImpl

All Implemented Interfaces:
  `MediprimaUmaService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class MediprimaUmaServiceImpl extends Object implements MediprimaUmaService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation of `MediprimaUmaService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MediprimaUmaServiceImpl()`
  default constructor, needed for ModuleBootstrapHook.
  `MediprimaUmaServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `DeleteUrgentMedicalAidAttestationResponse`
  `deleteUrgentMedicalAidAttestation(SAMLToken token, DeleteUrgentMedicalAidAttestationRequest request)`
  `SearchUrgentMedicalAidAttestationResponse`
  `searchUrgentMedicalAidAttestation(SAMLToken token, SearchUrgentMedicalAidAttestationRequest request)`
  `SendUrgentMedicalAidAttestationResponse`
  `sendUrgentMedicalAidAttestation(SAMLToken token, SendUrgentMedicalAidAttestationRequest request)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MediprimaUmaServiceImpl

    public MediprimaUmaServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)

  - ### MediprimaUmaServiceImpl

    public MediprimaUmaServiceImpl()
    default constructor, needed for ModuleBootstrapHook.

- ## Method Details

  - ### deleteUrgentMedicalAidAttestation

    public DeleteUrgentMedicalAidAttestationResponse deleteUrgentMedicalAidAttestation(SAMLToken token, DeleteUrgentMedicalAidAttestationRequest request) throws MediprimaUmaDeleteException, TechnicalConnectorException
    Specified by:
      `deleteUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
    Throws:
      `MediprimaUmaDeleteException`
      `TechnicalConnectorException`

  - ### searchUrgentMedicalAidAttestation

    public SearchUrgentMedicalAidAttestationResponse searchUrgentMedicalAidAttestation(SAMLToken token, SearchUrgentMedicalAidAttestationRequest request) throws MediprimaUmaSearchException, TechnicalConnectorException
    Specified by:
      `searchUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
    Throws:
      `MediprimaUmaSearchException`
      `TechnicalConnectorException`

  - ### sendUrgentMedicalAidAttestation

    public SendUrgentMedicalAidAttestationResponse sendUrgentMedicalAidAttestation(SAMLToken token, SendUrgentMedicalAidAttestationRequest request) throws MediprimaUmaSendException, TechnicalConnectorException
    Specified by:
      `sendUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
    Throws:
      `MediprimaUmaSendException`
      `TechnicalConnectorException`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`